#pragma once
#include "LPtrArray.h"

typedef struct{
	short	id;
	OSType	t[1];
}ucmd;

class Menureceiver{
	public:
	Menureceiver();
	
	virtual void ReceiveMenuCommand(OSType theCmd);
	
	// * Do we need to fiddle about with menus?  Called when user clicks menubar
	virtual void MenuCheck();
};

class Menubase{
	public:
	short mid;
	short mitem;
	
	//should be protected:
	LPtrArray*	commandTable;
	LPtrArray*	receiverTable;
	
	public:
	Menubase();
	void AddReceiver(Menureceiver*);
	void HandleMenu(long mSelect);
	void Prepare();
	short GetMenuID(OSType theCommand);
	short GetMenuItem(OSType theCommand);
	
	private:
	void Receive(OSType it);
};

extern Menubase* gMenubase;
