#include "CWindowPict.h"
#include "Notify.h"
#include "UQD.h"

static Rect temp={0,0,100,100};

#pragma segment MiseAppShell

PictWindow::PictWindow(short id)
:DataWindow("\pmister jones",temp,FALSE)
{
	Rect sphere;
	Str255 str;
	
	notHandle=Get1Resource('PICT',id);
	
	if(notHandle==NULL){
		Notify("\pWhat, no memory?");
		return;
	}
	
	GetResInfo(notHandle,NULL,NULL,str);

	SetWTitle((WindowPtr)theWindow,str);
		
	sphere=(**(PicHandle)notHandle).picFrame;
	sphere.right=sphere.right-sphere.left;
	sphere.left=0;
	sphere.bottom=sphere.bottom-sphere.top;
	sphere.top=0;
	
	if(theWindow==NULL){
		ReleaseResource(notHandle);
		Notify("\pNot Enough Memory, Darling.");
	}
	
	((WindowPtr)theWindow)->portRect=sphere;
	CenterOnScreen();
	ShowReferencedWindow(theWindow);
}

PictWindow::~PictWindow()
{
	ReleaseResource(notHandle);
}

void PictWindow::Draw()
{
	DrawPicture((PicHandle)notHandle,&((WindowPtr)theWindow)->portRect);
}