#ifndef GRAFUTILS_H
#define GRAFUTILS_H
#include "QDOffscreen.h"

#ifdef __cplusplus
extern "C" {
#endif

GWorldPtr CIconToGWorld(CIconHandle cicon, short gdepth);
GWorldPtr PictureToGWorld(PicHandle	pict, short gdepth);
PixMapHandle PreserveGraf(GWorldPtr newPort);
void RestoreGraf(void);
PicHandle	GetGWorldPict(GWorldPtr gw);
OSErr NewGWorldFromPictureFile(FSSpec *pictFile, GWorldPtr *newPort);
void MyUnionRect(Rect *r1, Rect *r2, Rect *dest);

#define RECT_WD(rekt) ((rekt).right - (rekt).left)
#define RECT_HT(rekt) ((rekt).bottom - (rekt).top)

#ifdef __cplusplus
}
#endif

#endif