
typedef struct{
	long qeKey;
	void *qeData;
}QEntry;

typedef struct{
	long	qNumEntries;
	QEntry	qEntry[1];
}Q;

Q **QNew()
{
	Q **out;
	
	out=(Q**)NewHandleClear(sizeof(Q));
	
	return out;
}

void QDispose(Q **ourQ)
{
	DisposeHandle(ourQ);
}

void QAddEntry(Q **ourQ,long ourKey,void *ourData)
{
	SetHandleSize((Handle)ourQ,GetHandleSize((Handle)ourQ+sizeof(QEntry)));
	if(MemError()==noErr){
		(**ourQ).qNumEntries++;
		(**ourQ).qEntry[(**ourQ).qNumEntries].qeKey=ourKey;
		(**ourQ).qEntry[(**ourQ).qNumEntries].qeData=ourData;
	}
}

void QUsedEntry(Q **ourQ,long ourKey,void *ourData)
{
	BlockMove((**ourQ).qEntry);
	SetHandleSize((Handle)ourQ,GetHandleSize((Handle)ourQ-sizeof(QEntry)));
}
