#include "CMenubase.h"
#include "CWindowAbout.h"

Menubase* gMenubase;

typedef struct{
	short num[1];
}**BarHandle;

#pragma segment MiseAppShell

Menureceiver::Menureceiver()
{
	gMenubase->AddReceiver(this);
}

void Menureceiver::ReceiveMenuCommand(OSType theCmd)
{
	
}	

void Menureceiver::MenuCheck()
{
	
}

Menubase::Menubase()
{
	BarHandle mbar=NULL;
	MenuHandle currentMenu;
	short i;
	
	mbar=(BarHandle)GetResource('MBAR',128);
	if(!mbar) ExitToShell();
		
	commandTable=new LPtrArray;
	receiverTable=new LPtrArray;
	
	if(commandTable==NULL||receiverTable==NULL){
		ExitToShell();
	}
	
	for(i=1;i<=((**mbar).num[0]);){
		Handle theRes;
		
		currentMenu = GetMenu((**mbar).num[i]);
		InsertMenu(currentMenu,0);
		
		theRes=GetResource('Cmd',(**mbar).num[i]);
		if(theRes)
			DetachResource(theRes);
		commandTable->InsertItemsAt(1,1,theRes);
		i++;
	}
	ReleaseResource((Handle)mbar);
	DrawMenuBar();
	
	currentMenu=GetMHandle(128);
	AddResMenu(currentMenu,'DRVR');
}

void Menubase::AddReceiver(Menureceiver* trec)
{
	receiverTable->InsertItemsAt(1,1,trec);
}

void Menubase::HandleMenu(long mSelect)
{
	short		menuID = HiWord(mSelect);
	short		menuItem = LoWord(mSelect);
	Str255		Scru;
	long		len, num,tableLen;
	short		id;
	ucmd**		theCmds;
	
	mid=menuID;
	mitem=menuItem;
	
	HiliteMenu(0);
	
	if(menuID==128){
		if(menuItem==1){
			Receive('Abou');
		}else{
			GetItem(GetMHandle(128),menuItem,Scru);
			(void) OpenDeskAcc(Scru);
		}
		return;
	}
	
	tableLen=commandTable->GetCount();
	
	for(short i=1;i<=tableLen;){
		commandTable->FetchItemAt(i,theCmds);
		HLockHi((Handle)theCmds);
		
		id=(**theCmds).id;
		if(id==menuID){
			
			len=GetHandleSize((Handle)theCmds);
			len-=2;
			if(len>0){
				num=len/4;	//number of commands = size of table  sizeof(OSType)
				Receive((**theCmds).t[menuItem-1]);
			}//if(len>0)
			else{
			}
			i=tableLen+1;
		}
		
		HUnlock((Handle)theCmds);
		++i;
	}
}

// * Get a menu item's number
short Menubase::GetMenuID(OSType theCommand)
{
	short		tableLen=commandTable->GetCount();
	short		out=0;
	ucmd**		theCmds;
	
	for(short i=1;i<=tableLen;){
		commandTable->FetchItemAt(i,theCmds);
		HLockHi((Handle)theCmds);
					
		long len=GetHandleSize((Handle)theCmds);
		len-=2;
		if(len>0){
			long num=len/4;	//number of commands = size of table  sizeof(OSType)
			for(short j=0;j<num;++j){
				if((**theCmds).t[j]==theCommand){
					j=num;
					i=tableLen+1;
					out=(**theCmds).id;
				}
			}//endfor
		}else{
		}
		HUnlock((Handle)theCmds);
		++i;
	}
	return out;
}

// * Get a menu item's menu id
short Menubase::GetMenuItem(OSType theCommand)
{
	short		tableLen=commandTable->GetCount();
	short		out=0;
	ucmd**		theCmds;
	
	for(short i=1;i<=tableLen;){
		commandTable->FetchItemAt(i,theCmds);
		HLockHi((Handle)theCmds);
					
		long len=GetHandleSize((Handle)theCmds);
		len-=2;
		if(len>0){
			short num=len/4;	//number of commands = size of table  sizeof(OSType)
			for(short j=0;j<num;++j){
				if((**theCmds).t[j]==theCommand){
					j=num;
					i=tableLen+1;
					out=j+1;
				}
			}//endfor
		}else{
		}
		HUnlock((Handle)theCmds);
		++i;
	}
	return out;
}

// * User is pulling down menus, make sure everything is set correctly
void Menubase::Prepare()
{
	long			numrecs;
	Menureceiver*	mr;
	
	numrecs=receiverTable->GetCount();
	
	for(short i=1;i<=numrecs;){
		receiverTable->FetchItemAt(i,mr);
		mr->MenuCheck();
		
		++i;
	}
}

// * User selected something, so do something with it.
void Menubase::Receive(OSType it)
{
	long			numrecs;
	Menureceiver*	mr;
	
	numrecs=receiverTable->GetCount();
	
	for(short i=1;i<=numrecs;){
		receiverTable->FetchItemAt(i,mr);
		mr->ReceiveMenuCommand(it);
		
		++i;
	}
}