#pragma once

/*
	Window Functions Package
	1994 Chris K. Thomas
*/
#include "WindowExtensions.h"

enum {
	kNudgeSlop	=	4,
	kIconSpace	=	64
};
	
struct ZoomData {
	GDHandle		screenWithLargestPartOfWindow;
	unsigned long	largestArea;
	Rect			windowBounds;
};

typedef struct ZoomData ZoomData, *ZoomDataPtr;

class Window{
protected:
	WindowRef theWindow;
	
public:
	Window();
	virtual ~Window();
	
	//events
	virtual void Draw();
	virtual void Activate(Boolean active);
	virtual void KeyDown(EventRecord &event);
	virtual void Idle();
	virtual void MouseDown(EventRecord &event);//{SelectReferencedWindow(theWindow);}
		
	//placement functions
	void ZoomTheWindow(short zoomState);
	virtual void CalcIdealDocumentSize(Rect *idealContentSize);

protected:
	void CenterOnScreen();
};

class ResWindow:public Window{
public:
	ResWindow(short id,Boolean floats);
	
};

class DataWindow:public Window{
public:
	DataWindow(Str255 &title,Rect &theRect,Boolean floats);
};


pascal void UniversalActivate(WindowRef trouble, Boolean active);