typedef pascal void (*realCDM)(const BitMap *srcBits, const BitMap *maskBits, const BitMap *dstBits, const Rect *srcRect, const Rect *maskRect, const Rect *dstRect, short mode, RgnHandle maskRgn);
typedef pascal void (*realCB)(const BitMap *srcBits, const BitMap *dstBits, const Rect *srcRect, const Rect *dstRect, short mode, RgnHandle maskRgn);
typedef pascal void (*rectman)(Rect *r, short dh, short dv);
typedef pascal void (*rect1arg)(Rect *r);
typedef pascal void (*noargs)(void);
typedef pascal RgnHandle (*rgnret)(void);
typedef pascal void (*rgn1arg)(RgnHandle);
typedef pascal void (*keys1arg)(KeyMap);
typedef pascal void (*rgn2shrts)(RgnHandle,short,short);
typedef pascal void (*short2arg)(short,short);

typedef struct{
	realCDM		CopyDeepMask;
	realCB		CopyBits;
	rect1arg	FrameRect;
	rectman		OffsetRect;
	rectman		InsetRect;
	rgnret		NewRgn;
	noargs		OpenRgn;
	rgn1arg		CloseRgn;
	rgn1arg		DisposeRgn;
	rgn2shrts	InsetRgn;
	rgn2shrts	OffsetRgn;
	keys1arg	GetKeys;
	noargs		SystemTask;
	short2arg	LineTo;
	short2arg	MoveTo;
}dtbx;

extern dtbx directTB;

void InitDirectToolbox();