#include "CWindow.h"
#include "CWindowGame.h"
#include "UCursors.h"
#include "Notify.h"
#include "xvApplication.h"
//#include "Cmenubase.h"
#include "EasyWindow.h"

//prefs		ourPrefs;

unsigned long	fps=2;
GameWindow		*gGameWindow;
extern Boolean	isGameOff;
Boolean			gInBack=false;

#pragma segment MiseAppShell

void LessOneEvent(EventRecord &event);

static void HandleOS(EventRecord *event);

void ourMenus::MenuCheck()
{
	SetItemMark(GetMHandle(gMenubase->GetMenuID('fps1')),
		gMenubase->GetMenuItem('fps1'),
		noMark);
	SetItemMark(GetMHandle(gMenubase->GetMenuID('fps2')),
		gMenubase->GetMenuItem('fps2'),
		noMark);
	SetItemMark(GetMHandle(gMenubase->GetMenuID('fps3')),
		gMenubase->GetMenuItem('fps3'),
		noMark);
	
	switch(fps){
		case 4:
			SetItemMark(GetMHandle(gMenubase->GetMenuID('fps1')),
				gMenubase->GetMenuItem('fps1'),
				checkMark);
			break;
		case 2:
			SetItemMark(GetMHandle(gMenubase->GetMenuID('fps2')),
				gMenubase->GetMenuItem('fps2'),
				checkMark);
			break;
		case 1:
			SetItemMark(GetMHandle(gMenubase->GetMenuID('fps3')),
				gMenubase->GetMenuItem('fps3'),
				checkMark);
			break;
	}
}

void ourMenus::ReceiveMenuCommand(OSType theCmd)
{
	switch(theCmd){
		case 'Quit':
			Quit();
			break;
		case 'fps1':
			fps=4;
			break;
		case 'fps2':
			fps=2;
			break;
		case 'fps3':
			fps=1;
			break;
	}
}

void StartMeUp(void)
{
	EventRecord		event;
	//short			wneTime=0;
	
	for(short count=1;count<=3;++count){
		EventAvail(everyEvent,&event);
	}
	for(;;){
		if(isGameOff==true||gInBack==true){
			if(WaitNextEvent(everyEvent,&event,120,NULL)){
				SetPort(FrontWindow());
				LessOneEvent(event);
			}
		}else{
			gGameWindow->SubEventLoop();
			if(Button()){
				isGameOff=true;
			}
			
			/*wneTime+=1;
			gGameWindow->SubEventLoop();
			if(wneTime==60){
				if(WaitNextEvent(everyEvent,&event,0,NULL)){
					SetPort(FrontWindow());
					LessOneEvent(event);
				}
				wneTime=0;
			}else{
				SystemTask();
			}*/
		}
	}
}

void LessOneEvent(EventRecord &event)
{
	Point			tPoint={100,100};
	Window*			tw;
	WindowRef		ref;
	
	ref=FrontNonFloatingWindow();
	if(ref!=NULL){
		SetPort((WindowPtr)ref);
		tw=(Window*)GetWRefCon((WindowPtr)ref);
		tw->Idle();
	}
	
	switch(event.what){
		case mouseDown:
			HandleMouseDown(&event);
			break;
		case autoKey:
		case keyDown:
	  		if(!event.modifiers&cmdKey)
				gMenubase->HandleMenu(MenuKey(event.message));
			else{
				tw=(Window*)GetWRefCon((WindowPtr)FrontNonFloatingWindow());
				tw->KeyDown(event);
			}
			break;
		case updateEvt:
			tw=(Window*)GetWRefCon((WindowPtr)event.message);
			BeginUpdate((WindowPtr)event.message);
			SetPort((GrafPtr)event.message);
			tw->Draw();
			EndUpdate((WindowPtr)event.message);
			break;
		case activateEvt:
			tw=(Window*)GetWRefCon((WindowPtr)event.message);
			tw->Activate(event.modifiers&activeFlag);
			break;
		case diskEvt:
			if(HiWord(event.message)!=noErr){
				(void) DIBadMount(tPoint,event.message);
			}
			break;
		case osEvt:
			HandleOS(&event);
			break;
	}
}

#pragma code68020 off
void main(void)
{
	//DEBUG!!!  This will cause a bus error
	//upon using the value in address zero as an address.
	unsigned long* LetsCauseBusError=(unsigned long*)0;
	short numMasters=6;
	
	*LetsCauseBusError=0x50FFC001;
	MaxApplZone();
	
	while(--numMasters) MoreMasters();
	
	InitGraf(&qd.thePort);
	InitFonts();
	InitWindows();
	InitMenus();
	TEInit();
	InitDialogs(0L);
	
	gCursors=new UCursors;
	gMenubase=new Menubase;
	
	Initialize();
	new ourMenus;
	StartMeUp();
}

/** Initialization **/
short savedPix;

void Initialize(void)
{
	SysEnvRec	theEnv;
	short		depth;
	GDHandle	gd=GetMainDevice();
	//prefsHandle	thePrefs;
		
	SysEnvirons(2,&theEnv);
	if(theEnv.systemVersion<0x700){
		We_is_Dead("\pMITORI requires at least System 7.0.");
	}
	if(theEnv.processor<env68020){
		We_is_Dead("\pMITORI requires a Macintosh with Color Quickdraw.");
	}
	
	/* Verify bit depth is cool & change to 8-bit if needed */
	
	depth=HasDepth(gd,8,0,0);
	if(depth==0){
		We_is_Dead("\pThis version of MITORI requires an 8-bit Monitor.");
	}
	
	savedPix=(**(**gd).gdPMap).pixelSize;
	
	short res=0;
	if((**(**gd).gdPMap).pixelSize!=8){
		res=SetDepth(gd,depth,1,1);
	}
	if(res!=0){
		We_is_Dead("\pMITORI cannot change your bit depth!");
	}
	
	gGameWindow=new GameWindow;
	/*
	pascal short SetDepth(GDHandle gd, short  newDepth,short whichFlags, short newFlags)
                      = {0x203C, 0x000A, 0x0013, 0xAAA2};
Where gd is the device to be changed, newDepth is the desired depth (you can pass the bit depth or the mode necessary to set the requested depth,) whichFlags is a bit field selector specifying which bits in newFlags are meaningful, and newFlags are bits to be set in the gdFlags field of the device record as specified by whichFlags.  For example,
if you want to set a depth of eight in black and white, the call would be
as follows:
        someResult := SetDepth(myGDevice,8,1,0);
In this call, newDepth = 8 sets an eight-bit depth, whichFlags = 1 indicates that
 only bit one of newFlags is important, and newFlags = 0 clears the gdDevType flag
  in the device record (0 = monochrome, 1 = color).  SetDepth returns zero if
   successful or a non-zero value if it cannot impose the desired depth on the requested
    device.
Also beginning with System Software 6.0.5, applications can make a call to HasDepth
 to verify if a given device supports a mode for the desired depth.
FUNCTION HasDepth(gd:GDHandle; newDepth,whichFlags, newFlags: Integer):Integer;
    INLINE $203C,$000A $0014,$AAA2; { Move.L #$000A0014,D0
                                      _PMgrDispatch
                                    }
pascal short HasDepth(GDHandle gd, short  newDepth,short whichFlags, short newFlags)
                      = {0x203C,0x000A 0x0014,0xAAA2};*/
	
}
#pragma code68020 on

void Quit(void)
{
	SetDepth(GetMainDevice(),savedPix,0,0);
	ExitToShell();
}//Quit

/*Event Handlers*/

void HandleKey(EventRecord event)
{
	if (event.modifiers&cmdKey!=0){
		 HandleMenu(MenuKey((event.message&charCodeMask)));
	} else {
	}
}

void HandleMouseDown(EventRecord* event)
{
	Window*			win;
	WindowRef		theWindow;
	short			windowCode = FindWindow (event->where, (WindowPtr*)&theWindow);
	
	win=(Window*)GetWRefCon((WindowPtr)theWindow);
	
	switch (windowCode){
		case inMenuBar:
			gMenubase->Prepare();
		   	gMenubase->HandleMenu(MenuSelect(event->where));
	  		break;
	  	
	  	case inDrag:
	  		if(!event->modifiers&cmdKey)
				SelectReferencedWindow(theWindow);
	  		DragReferencedWindow(theWindow,event->where,&qd.screenBits.bounds);
	  		break;
	  	
	  	case inZoomOut:
	  	case inZoomIn:
	  		if(TrackBox((WindowPtr)theWindow,event->where,windowCode))
	  			win->ZoomTheWindow(windowCode);
	  		break;
	  	
	  	case inContent:
			SelectReferencedWindow(theWindow);
	  		win->MouseDown(*event);
	  		break;
	  	
	  	case inGoAway:
			SelectReferencedWindow(theWindow);
	  		if(TrackGoAway((WindowPtr)theWindow,event->where)){
	  			delete win;
	  		}
	  		break;
	}
	SetPort((WindowPtr)theWindow);
	//DrawStatus(FALSE);
}

static void HandleOS(EventRecord *event)
{
	switch((event->message>>24)&0x00FF){
		case suspendResumeMessage:
			Window*	theWin;
			
			if(FrontWindow()!=NULL){
				if(FrontNonFloatingWindow()!=NULL){
					theWin=(Window*)GetWRefCon((WindowPtr)FrontNonFloatingWindow());
					theWin->Activate(event->message&resumeFlag);
				}
				
				if(event->message&resumeFlag==TRUE){
					ResumeFloatingWindows();
					gInBack=false;
				}else{
					SuspendFloatingWindows();
					gInBack=true;
				}
			}
			break;
	}
}