/*
	Polygon Manager
	Deals with obstacles and objects.
	1994 Chris K. Thomas.  All Rights Reserved.
*/

#ifndef _polys_
#define _polys_

typedef struct{
	Point	a;
	Point	b;
	Point	c;
	Point	d;
}poly4;

typedef struct{
	poly4	p[1];
}ManyPoly;

/** Polygon group manipulation **/
ManyPoly **GetPolygons(Str255 &s);
void DropPolygons(ManyPoly** mp);
Boolean PtInPolys(ManyPoly **mp,Point *t);

/** Individual Polygon manipulation **/
void AddPoly(ManyPoly **mp,poly4 *pAdd);
void DeletePoly(ManyPoly **mp,short index);
Boolean PtInPoly(ManyPoly** mp,Point *t,short which);

#endif//_polys_